Subject: Re: bug#13807: The lock for 'DIR/FILE' should always be 'DIR/.#FILE'.

From: Glenn Morris <[email-masked]>
Date: Mon, 25 Feb 2013 14:57:43 -0500

Paul Eggert wrote:

> Attached is a proposed cleanup patch, following up on the thread in
> <http://lists.gnu.org/archive/html/emacs-devel/2013-02/msg00531.html>.

AFAICS, all that thread says is "we should remove this because it never
worked", when in fact it did work just fine until recently.

So the motivation for this seems to be entirely as given in the NEWS
(which is not really where it belongs IMO) for this change. Where it
just says "this was more trouble than it was worth and led to race
conditions of its own". No-one ever reported any (non-theoretical)
problems with it in practice, AFAIK.